<html>
	<head>
		<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.0/jquery.min.js"></script>
		<script type="text/javascript">
			//<![CDATA[
			$(document).ready(function() {
				$('#AddPersonForm').on('submit', function(e){
					e.preventDefault();
					$("#feedback").hide();
					$("#animation").show();
					var formData = new FormData($(this)[0]);
					$.ajax({
						url : $(this).attr('action') || window.location.pathname,
						type: 'POST',
						data: formData,
						success: function (data) {
							$("#animation").hide();
							var obj = $.parseJSON(data);
							var feedback = obj['feedback'];
							var response = obj['response'];
							if(feedback==1){
								$("#buttons").hide();
								$("#feedback").html("<div class='success'><p>"+response+"</p></div>");
								$("#feedback").show();
							}else{
								$("#feedback").html("<div class='error'><p>"+response+"</p></div>");
								$("#feedback").show();
							}		
						},
						cache: false,
						contentType: false,
						processData: false
					});
				});
			});
		</script>
		<style>
			input:focus,button:focus,TextArea:focus,select:focus{
				outline:none;
			}
			input[type="text"],input[type="email"],input[type="password"]{
				display: block;
				font-family: 'Open Sans Light', 'Open Sans', Arial, Helvetica, sans-serif;
				font-weight: 200;
				border: 1px solid #BEBEBE;
				color: #4A4A4A;
				font-size: 14px;
				padding: 5px;
				margin-top:5px;
			}
			input[type="text"]::placeholder,input[type="email"]::placeholder, input[type="password"]::placeholder{
				color: #6c757d;
				opacity: 1;
			}
			select{
				color: #4A4A4A;
				font-size: 14px;
				padding: 5px;
			}
			#animation{
				display:none;
				width:200px;
			}
			.spinner {
			  height: 10px;
			  width: 10px;
			  animation: rotate 0.8s infinite linear;
			  border: 8px solid #7CC1E6;
			  border-right-color: transparent;
			  border-radius: 50%;
			  margin-left:auto;
			  margin-right:auto;
			}

			@keyframes rotate {
			  0%    { transform: rotate(0deg); }
			  100%  { transform: rotate(360deg); }
			}
			.information p, .success p, .warning p,.validation p,.error p{
				margin-top: 5px;
			}
			.error {
				color: #D8000C;
				background-color: #FFBABA;
				background-image: url('images/error.png');
			}
			.information {
				color: #00529B;
				background-color: #BDE5F8;
				background-image: url('images/info.png');
			}
			.success {
				color: #4F8A10;
				background-color: #88ffd1;
				background-image:url('images/success.png');
			}
			.warning {
				color: #9F6000;
				background-color: #FEEFB3;
				background-image: url('images/warning.png');
			}
			.error,.success,.warning,.information {
				margin: 10px 0px;
				padding: 9px 10px 10px 50px;
				background-repeat: no-repeat;
				background-position: 10px center;
			}
			#feedback{
				width:400px;
			}
		</style>
	</head>
	<body>
		<h4>ADD PERSON</h4>
		<form method="POST" action="ajax_process.php" id="AddPersonForm" enctype="multipart/form-data">
			<p><b>First Name</b>
			<br><input type="text" name="fn" value=""/>
			</p>
			<p><b>Last Name</b>
			<br><input type="text" name="ln" value=""/>
			</p>
			<p><b>Phone</b>
			<br><input type="text" name="phone" value=""/>
			</p>
			<p><b>Email</b>
			<br><input type="email" name="email" value=""/>
			</p>
			<p><b>Gender</b>
			<br><input type="radio" name="gender" value="Male"> Male <input type="radio" name="gender" value="Female"> Female 
			</p>
			<p><b>Date of Birth</b>
			<br><select name="day">
					<option value="">Day:</option>
					<?php
					for($i=1;$i<=31;$i++){
						if($i<10){
							$d = "0".$i;
						}else{
							$d = $i;
						}
						?>
						<option value="<?php echo $d;?>"><?php echo $d;?></option>
						<?php
					}
					?>
				</select>
				<select name="month">
					<option value="">Month:</option>
					<option value="01">January</option>
					<option value="02">February</option>
					<option value="03">March</option>
					<option value="04">April</option>
					<option value="05">May</option>
					<option value="06">June</option>
					<option value="07">July</option>
					<option value="08">August</option>
					<option value="09">September</option>
					<option value="10">October</option>
					<option value="11">November</option>
					<option value="12">December</option>
				</select>
				<select name="year">
					<option value="">Year:</option>
					<?php
					$start = date('Y');
					$end = $start-150;
					for($i=$start;$i>=$end;$i--){
						?>
						<option value="<?php echo $i;?>"><?php echo $i;?></option>
						<?php
					}
					?>
				</select>
			</p>
			<p><b>Profile</b>
			<br><TextArea name="profile" rows="5"></TextArea>
			</p>
			<p><b>Hobbies</b>
			<br><input type="checkbox" name="reading"> Reading
			<br><input type="checkbox" name="movies"> Watching Movies
			<br><input type="checkbox" name="dancing"> Dancing
			<br><input type="checkbox" name="music"> Listening To Music
			</p>
			<p>Picture
			<br><input type="file" name="picture" accept="image/*"/>
			</p>
			<p><input type="submit" value="Add" /></p>
		</form>
		<div id="animation"><div class="spinner"></div></div>
		<div id="feedback"></div>
	</body>
</html>